#MotorFactory 2020.0.0
#Updater_All

import aqDsl 
import smPmIr3V200
#2020/09/04 15:45:42 CEST
#lhuang
aqDsl.updatePreferedMaterials(conductor="REF.Copper",gas="REF.Air",insulator="REF.Nomex_130",lamination="REF.M330_35A",liquid="REF.Water",magnet="REF.SmCo_1040_1800",solid="REF.EN_1_1151")
smPmIr3V200.newMotor(catalogName="IkerMAQ_NVH_Test_2020",machineType=smPmIr3V200.MachineTypeEnum.SM_PMM_INNERROT_3PH,motorName="IkerMAQ_NVH_Test_1")
#2020/09/04 15:46:08 CEST
#lhuang
aqDsl.updatePreferedMaterials(conductor="REF.Copper",gas="REF.Air",insulator="REF.Nomex_130",lamination="REF.M330_35A",liquid="REF.Water",magnet="REF.SmCo_1040_1800",solid="REF.EN_1_1151")
#smPmIr3V200.openMotor(catalogName="IkerMAQ_NVH_Test_2020",motorName="IkerMAQ_NVH_Test_1")
smPmIr3V200.editMotor(noRotorPoles=10,noStatorSlots=45,rotorInnerDiameter=0.085,rotorLength=0.31,rotorOuterDiameter=0.273,statorInnerDiameter=0.278,statorLength=0.31,statorOuterDiameter=0.376)
smPmIr3V200.changeSlot(libraryName="os_Free",partName="os_Free_01A")
smPmIr3V200.changeSlotParameter(parameters={"H1":0.0013859999999999999,"HO":0.0016,"HS":0.032515,"WO":0.003,"WS1":0.008529,"WS2":0.012657999999999999})
smPmIr3V200.changeWindingCoil(noTurnsPerCoil=6)
smPmIr3V200.changeMagnet(libraryName="imi_Block",partName="imi_Block_01A")
smPmIr3V200.saveMotor()
#2020/09/04 15:53:17 CEST
#lhuang
aqDsl.updatePreferedMaterials(conductor="REF.Copper",gas="REF.Air",insulator="REF.Nomex_130",lamination="REF.M330_35A",liquid="REF.Water",magnet="REF.SmCo_1040_1800",solid="REF.EN_1_1151")
#smPmIr3V200.openMotor(catalogName="IkerMAQ_NVH_Test_2020",motorName="IkerMAQ_NVH_Test_1")
smPmIr3V200.changeMagnet(libraryName="User_InnerMagnet",partName="IkerMAQ_Magnet")
smPmIr3V200.changePolarization(angle=0.3141592653589793,region="Magnet_1")
smPmIr3V200.saveMotor()
#2020/09/04 15:56:19 CEST
#lhuang
aqDsl.updatePreferedMaterials(conductor="REF.Copper",gas="REF.Air",insulator="REF.Nomex_130",lamination="REF.M330_35A",liquid="REF.Water",magnet="REF.SmCo_1040_1800",solid="REF.EN_1_1151")
#smPmIr3V200.openMotor(catalogName="IkerMAQ_NVH_Test_2020",motorName="IkerMAQ_NVH_Test_1")
smPmIr3V200.changeMaterial(rotor={"magneticCircuit":"REF.M800_50A"},stator={"magneticCircuit":"REF.M800_50A"})
smPmIr3V200.changeNvhWorkingPointCurrentSpeedPsiParameter(maximumCurrentDensity=100000.0,speed=0.010471975511965978)
smPmIr3V200.runTest(testType="NVH_WP_SINE_CURRENTPSISPEED")
smPmIr3V200.saveMotor()
#2020/09/06 04:52:10 CEST
#lhuang
aqDsl.updatePreferedMaterials(conductor="REF.Copper",gas="REF.Air",insulator="REF.Nomex_130",lamination="REF.M330_35A",liquid="REF.Water",magnet="REF.SmCo_1040_1800",solid="REF.EN_1_1151")
#smPmIr3V200.openMotor(catalogName="IkerMAQ_NVH_Test_2020",motorName="IkerMAQ_NVH_Test_1")
smPmIr3V200.changeMaterial(rotor={"magneticCircuit":"USER.M800_65A_IkerMAQ"},stator={"magneticCircuit":"USER.M800_65A_IkerMAQ"})
smPmIr3V200.changeMaterial(rotor={"magneticCircuit":"USER.IkerMAQ_M65A"},stator={"magneticCircuit":"USER.IkerMAQ_M65A"})
smPmIr3V200.runTest(testType="NVH_WP_SINE_CURRENTPSISPEED")
smPmIr3V200.saveMotor()
#2020/12/01 14:26:23 CET
#lhuang
aqDsl.updatePreferedMaterials(conductor="REF.Copper",gas="REF.Air",insulator="REF.Nomex_130",lamination="REF.M330_35A",liquid="REF.Water",magnet="REF.SmCo_1040_1800",solid="REF.EN_1_1151")
#smPmIr3V200.openMotor(catalogName="IkerMAQ_NVH_Test_2020",motorName="IkerMAQ_MultiSpeed")
smPmIr3V200.changeTemperatureSetting(connectionSideEndWindingTemperature=393.15,magnetTemperature=353.15,oppositeConnectionSideEndWindingTemperature=393.15,target=smPmIr3V200.TestTargetEnum.TEST,testType="STAT_SINEWAVE_TORQUESPEED",windingActiveLengthTemperature=393.15)
smPmIr3V200.changeStatSinewaveTorquespeedParameter(maximumCurrentDensity=1.0E7)
smPmIr3V200.runTest(testType="STAT_SINEWAVE_TORQUESPEED")
smPmIr3V200.changeStatSinewaveTorquespeedParameter(maximumLineLineVoltage=450.0,maximumSpeed=314.1592653589793)
smPmIr3V200.runTest(testType="STAT_SINEWAVE_TORQUESPEED")
smPmIr3V200.saveMotor()
#2020/12/02 15:59:12 CET
#lhuang
aqDsl.updatePreferedMaterials(conductor="REF.Copper",gas="REF.Air",insulator="REF.Nomex_130",lamination="REF.M330_35A",liquid="REF.Water",magnet="REF.SmCo_1040_1800",solid="REF.EN_1_1151")
#smPmIr3V200.openMotor(catalogName="IkerMAQ_NVH_Test_2020",motorName="IkerMAQ_MultiSpeed")
smPmIr3V200.changeTemperatureSetting(magnetTemperature=343.15,target=smPmIr3V200.TestTargetEnum.TEST,testType="STAT_SINEWAVE_TORQUESPEED",windingActiveLengthTemperature=373.15)
smPmIr3V200.runTest(testType="STAT_SINEWAVE_TORQUESPEED")
smPmIr3V200.changeStatSinewaveTorquespeedParameter(maximumLineCurrent=90.0,maximumLineLineVoltage=600.0)
smPmIr3V200.runTest(testType="STAT_SINEWAVE_TORQUESPEED")
smPmIr3V200.saveMotor()
#2020/12/07 08:44:25 CET
#lhuang
aqDsl.updatePreferedMaterials(conductor="REF.Copper",gas="REF.Air",insulator="REF.Nomex_130",lamination="REF.M330_35A",liquid="REF.Water",magnet="REF.SmCo_1040_1800",solid="REF.EN_1_1151")
#smPmIr3V200.openMotor(catalogName="IkerMAQ_NVH_Test_2020",motorName="IkerMAQ_MultiSpeed")
#2020/12/12 13:49:37 CET
#lhuang
aqDsl.updatePreferedMaterials(conductor="REF.Copper",gas="REF.Air",insulator="REF.Nomex_130",lamination="REF.M330_35A",liquid="REF.Water",magnet="REF.SmCo_1040_1800",solid="REF.EN_1_1151")
#smPmIr3V200.openMotor(catalogName="IkerMAQ_Analysis",motorName="IkerMAQ_MultiSpeed")
